- Add audience lead — same service call and success payload shape as v2 POST /dmp/audience-lead/:
Delete audience leads by id(s). Query {@code id} is a comma-separated list (same semantics as v2 delete-leads; max 50 per generic v3 delete).
Add audience leads in bulk (async). Each record is a LeadRequestDTO. Returns 202 with processId.
Poll bulk DMP audience lead job status
Add leads via connector (same as v2 POST /dmp/audience-lead/{connectorId}). Success: APIResponse data = ingester result (e.g. list of SprinklrAudienceAPIResponse).
Manage audience leads (same as v2 POST /dmp/manage/audience-leads). Full success: APIResponse data = success summary string.
Search audience leads (same as v2 POST /dmp/lead-search). Success: APIResponse data = LookupResponse of BO AudienceLead, totalHits, hasMore.
Lead call / segment status (same inputs as v2 POST /dmp/audience-lead-status). Success: v3 APIResponse with data = list of LeadStatusResponseDTO.
Add audience lead — same...
Security
bearerAuth and apiKeyAuth
- Mock serverhttps://developer.sprinklr.com/_mock/apis/sprinklr-v3/dmp/lead
- Production Serverhttps://api3.sprinklr.com/prod/api/v3/dmp/lead
curl -i -X POST \
https://developer.sprinklr.com/_mock/apis/sprinklr-v3/dmp/lead \
-H 'Authorization: Bearer <YOUR_Token_HERE>' \
-H 'Content-Type: application/json' \
-H 'Key: YOUR_API_KEY_HERE' \
-d '{
"id": "string",
"leadId": "string",
"segmentIds": [
"string"
],
"attributes": [
{
"key": "string",
"value": {},
"fieldType": "string"
}
],
"userInfo": {
"customerId": "string",
"email": "string",
"phoneNo": "string",
"firstName": "string",
"lastName": "string",
"fullName": "string",
"anonymousId": "string",
"phoneDetails": [
{
"phoneNo": "string",
"countryCode": "string",
"countryId": "string",
"type": "string",
"connectivity": 0.1
}
],
"emailDetails": [
{
"email": "string",
"type": "string"
}
],
"attributes": [
{
"key": "string",
"value": {},
"fieldType": "string"
}
]
},
"demographics": {
"age": 0,
"gender": "string"
},
"sourceInfos": [
{
"id": "string",
"sourceId": "string",
"sourceName": "string",
"sourceUploadTime": 0,
"sourceType": "string"
}
],
"leadSource": "string"
}'Response
{ "data": {}, "errors": [ { … } ], "metadata": {} }